# Media playing

A decision block that checks audio or video playback.

If the proceed option is set to Immediately, then check if playback is currently in progress without pausing the fiber. If set to When changed, then the fiber will pause until playback has started or a track was skipped, or was stopped or paused.

This block only works with media players using the official Android API for exposing media controls, usually show on the lock screen.

The YES path is followed when playback starts or, if the player report it, a track was skipped. The NO path is followed when playback stops or pauses.

Note! This feature isn’t officially supported until Android 4.4, may not work on lower versions.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Media player package — package name of the media player to check. (Android 5+)

## Output variables

- Media title — variable to assign the title.
- Media album — variable to assign the album.
- Media artist — variable to assign the artist.
- Media duration — variable to assign the duration in seconds.
- Current position — variable to assign the current playback position in seconds.
- Media player package — variable to assign the package name of the media player what updated. (Android 5+)